View Issue Details

IDProjectCategoryView StatusLast Update
0004219OXID eShop (all versions)1.03. Basket, checkout processpublic2012-12-10 13:22
Reportereike_spriess 
PriorityhighSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version4.6.2 revision 46646 
Target VersionFixed in Version4.7.0_5.0.0_beta2 
Summary0004219: in email order customer template [{ $basket->getPayCostNet() }] will not be shown
DescriptionIf you recieve an order email the ammount "Zahlungsart Aufschlag" is empty.


in Template azure/tpl/email/html/order_cust.tpl row 391
[{ $basket->getPayCostNet() }]

see file attached
TagsOrder
ThemeBoth
BrowserAll
PHP Versionany
MySQL Versionany

Activities

eike_spriess

2012-07-05 11:18

developer  

email_order.PNG (56,017 bytes)
email_order.PNG (56,017 bytes)

skshopdev

2012-08-09 16:33

reporter   ~0007283

Same for 4.6.3
Changes in basketcontents.tpl should be applied to email templates as well. Same for plain and admin order templates.

skshopdev

2012-08-09 17:00

reporter  

paymentcosts-email-tpl-changes.diff.txt (4,956 bytes)
diff -r oxid463/out/azure/tpl/email/html/order_cust.tpl changed/out/azure/tpl/email/html/order_cust.tpl
382c382
<                         [{ if $basket->getPaymentCosts() }]
---
>                         [{ if $basket->getPayCostNet() }]
396c396
<                             [{ if $basket->getDelCostVat() }]
---
>                             [{ if $basket->getPayCostVat() }]
409a410,422
>                         [{elseif $basket->getFPaymentCosts()}]
>                             <tr valign="top">
>                                 <td style="padding: 5px; border-bottom: 2px solid #ccc;[{ if $basket->getDelCostVat() }]border-bottom: 1px solid #ddd;[{/if}]">
>                                     <p style="font-family: Arial, Helvetica, sans-serif; font-size: 12px; margin: 0;">
>                                         [{if $basket->getPaymentCosts() >= 0}][{ oxmultilang ident="EMAIL_ORDER_CUST_HTML_PAYMENTCHARGEDISCOUNT1" }][{else}][{ oxmultilang ident="EMAIL_ORDER_CUST_HTML_PAYMENTCHARGEDISCOUNT2" }][{/if}] [{ oxmultilang ident="EMAIL_ORDER_CUST_HTML_PAYMENTCHARGEDISCOUNT3" }]
>                                     </p>
>                                 </td>
>                                 <td style="padding: 5px; border-bottom: 2px solid #ccc;[{ if $basket->getDelCostVat() }]border-bottom: 1px solid #ddd;[{/if}]" align="right">
>                                     <p style="font-family: Arial, Helvetica, sans-serif; font-size: 12px; margin: 0;">
>                                         [{ $basket->getFPaymentCosts() }] [{ $currency->sign}]
>                                     </p>
>                                 </td>
>                             </tr>
648c661
< [{include file="email/html/footer.tpl"}]
\ No newline at end of file
---
> [{include file="email/html/footer.tpl"}]
diff -r oxid463/out/azure/tpl/email/html/order_owner.tpl changed/out/azure/tpl/email/html/order_owner.tpl
346c346
<                                 [{ if $basket->getPaymentCosts() }]
---
>                                 [{ if $basket->getPayCostNet() }]
360c360
<                                     [{ if $basket->getDelCostVat() }]
---
>                                     [{ if $basket->getPayCostVat() }]
373a374,386
>                                 [{elseif $basket->getFPaymentCosts()}]
>                                     <tr valign="top">
>                                         <td style="padding: 5px; border-bottom: 2px solid #ccc;[{ if $basket->getDelCostVat() }]border-bottom: 1px solid #ddd;[{/if}]">
>                                             <p style="font-family: Arial, Helvetica, sans-serif; font-size: 12px; margin: 0;">
>                                                 [{if $basket->getPaymentCosts() >= 0}][{ oxmultilang ident="EMAIL_ORDER_CUST_HTML_PAYMENTCHARGEDISCOUNT1" }][{else}][{ oxmultilang ident="EMAIL_ORDER_CUST_HTML_PAYMENTCHARGEDISCOUNT2" }][{/if}] [{ oxmultilang ident="EMAIL_ORDER_CUST_HTML_PAYMENTCHARGEDISCOUNT3" }]
>                                             </p>
>                                         </td>
>                                         <td style="padding: 5px; border-bottom: 2px solid #ccc;[{ if $basket->getDelCostVat() }]border-bottom: 1px solid #ddd;[{/if}]" align="right">
>                                             <p style="font-family: Arial, Helvetica, sans-serif; font-size: 12px; margin: 0;">
>                                                 [{ $basket->getFPaymentCosts() }] [{ $currency->sign}]
>                                             </p>
>                                         </td>
>                                     </tr>
diff -r oxid463/out/azure/tpl/email/plain/order_cust.tpl changed/out/azure/tpl/email/plain/order_cust.tpl
100c100
< [{ if $basket->getPaymentCosts() }]
---
> [{ if $basket->getPayCostNet() }]
103c103
<   [{ if $basket->getDelCostVat() }]
---
>   [{ if $basket->getPayCostVat() }]
105a106,107
> [{elseif $basket->getFPaymentCosts()}]
>   [{if $basket->getPaymentCosts() >= 0}][{ oxmultilang ident="EMAIL_ORDER_CUST_HTML_PAYMENTCHARGEDISCOUNT1" }][{else}][{ oxmultilang ident="EMAIL_ORDER_CUST_HTML_PAYMENTCHARGEDISCOUNT2" }][{/if}] [{ oxmultilang ident="EMAIL_ORDER_CUST_HTML_PAYMENTCHARGEDISCOUNT3" }] [{ $basket->getFPaymentCosts() }] [{ $currency->name}]
diff -r oxid463/out/azure/tpl/email/plain/order_owner.tpl changed/out/azure/tpl/email/plain/order_owner.tpl
98c98
< [{ if $basket->getPaymentCosts() }]
---
> [{ if $basket->getPayCostNet() }]
101c101
<   [{ if $basket->getDelCostVat() }]
---
>   [{ if $basket->getPayCostVat() }]
103a104,105
> [{elseif $basket->getFPaymentCosts()}]
>   [{if $basket->getPaymentCosts() >= 0}][{ oxmultilang ident="EMAIL_ORDER_CUST_HTML_PAYMENTCHARGEDISCOUNT1" }][{else}][{ oxmultilang ident="EMAIL_ORDER_CUST_HTML_PAYMENTCHARGEDISCOUNT2" }][{/if}] [{ oxmultilang ident="EMAIL_ORDER_CUST_HTML_PAYMENTCHARGEDISCOUNT3" }] [{ $basket->getFPaymentCosts() }] [{ $currency->name}]

skshopdev

2012-08-09 17:01

reporter   ~0007284

I've added a diff file of the changes I've made to my installation. Hope this helps fixing the bug. Not sure, if it's 100% correct, but works in my case.

jurate.baseviciene

2012-08-13 15:42

reporter   ~0007296

Reminder sent to: eike_spriess

Hi,
Sorry, but I can not reproduce the case neither in 4.6.2 nor in eShop 4.6.3 versions.

could you please let us know if you still experience same problem on our latest eShop version 4.6.3 or demoshop:

http://demoshop.oxid-esales.com/enterprise-edition/ [^]
http://demoshop.oxid-esales.com/professional-edition/ [^]
http://demoshop.oxid-esales.com/community-edition/ [^] ?
Maybe some other special options are turned on?

Best regards

skshopdev

2012-08-14 13:50

reporter   ~0007301

Last edited: 2012-08-14 13:51

View 2 revisions

In my case it's a standard installation of 4.6.3
What did you do to reproduce the issue? I've just reproduced this in the demoshop of the community edition (german).
Here are the steps:
- order any article with payment COD/Nachnahme
- don't use the admin account
- in the ordering process, enter a valid email so you get the email telling you about your order

In that email you won't see a value for COD (in summary! further down there is the correct value). There's just a €

tronet

2012-09-12 15:22

reporter   ~0007444

The same bug can be seen in your demo shop. I tried
http://demoshop.oxid-esales.com/professional-edition/

Order an item with a charge for the selected payment method, e.g. COD that costs 7,50€. Submit the order and watch your confirmation email. There will be no costs for the selected payment method as seen on the screenshot above.

jurate.baseviciene

2012-09-27 09:47

reporter   ~0007500

Hi,

The issue needs template changes, so is fixed only in 5.0.0 version. So the case is closed.

Best regards